#
# spec file for package portmap (Version 5beta)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd tcpd-devel texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           portmap
BuildRequires:  tcpd-devel
URL:            ftp://ftp.porcupine.org/pub/security/index.html
License:        BSD
Group:          Productivity/Networking/System
Requires:       netcfg, syslog
Provides:       nkitb:/sbin/portmap
Autoreqprov:    on
Version:        5beta
Release:        749.2
Summary:        A program that manages RPC connections
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         portmap_5beta.tar.gz
Source1:        portmap.init
Patch:          portmap_5beta.dif
Patch1:         portmap-nobodynogroup.diff
Patch2:         portmap5-chroot-i-pmapdump.diff
Patch3:         portmap_5-manpages.diff
PreReq:         %insserv_prereq %fillup_prereq

%description
A portmapper that manages RPC connections, which are used by protocols
like NFS and NIS.

This version is compiled with tcp_wrapper support.



Authors:
--------
    Wietse Venema (wietse@wzv.win.tue.nl)

%debug_package
%prep
%setup -n portmap_5beta
%patch
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
LIB=%{_lib} make O="$RPM_OPT_FLAGS"

%install
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/sbin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install pmap_dump pmap_set $RPM_BUILD_ROOT/usr/sbin/
install portmap $RPM_BUILD_ROOT/sbin
install -m 644 portmap.8 pmap_dump.8 pmap_set.8 $RPM_BUILD_ROOT%{_mandir}/man8/
install -m 744 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/portmap
ln -sf ../etc/init.d/portmap $RPM_BUILD_ROOT/sbin/rcportmap

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%stop_on_removal portmap

%post
%fillup_and_insserv -y portmap

%postun
%restart_on_update portmap
%insserv_cleanup

%files
%defattr(-,root,root)
%doc README BLURB CHANGES
%config /etc/init.d/portmap
/sbin/*
/usr/sbin/*
%doc %{_mandir}/man8/*

%changelog -n portmap
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - schwab@suse.de
- Don't strip binaries.
* Mon Oct 10 2005 - mmj@suse.de
- Add patch from Debian:
  o add -i option for binding
  o add option to chroot
  o pmap_dump connecting to 127.0.0.1 instead of the first local
  ip address it finds by inspecting network interfaces
  o newer manual pages
* Wed Sep 28 2005 - meissner@suse.de
- use RPM_OPT_FLAGS.
* Fri Jun 03 2005 - kukuk@suse.de
- Compile/Link with -fpie/-pie
* Fri Feb 11 2005 - mt@suse.de
- fixed spec to require syslog instead of syslogd
* Mon May 17 2004 - mmj@suse.de
- make portmap drop as many privileges as possible [#37735]
* Mon Mar 22 2004 - ro@suse.de
- fix compile warnings
- link only dynamically against tcp-wrapper library
* Wed Oct 15 2003 - mmj@suse.de
- Don't build as root
* Fri Sep 05 2003 - mmj@suse.de
- We depend on syslog in the initscript, require it [#30165]
* Wed Jul 30 2003 - mmj@suse.de
- Use new macros for stop/restart of services on rpm update/removal
* Mon May 26 2003 - lmuelle@suse.de
- Add try-restart option to the init script
* Tue May 13 2003 - mmj@suse.de
- Use %%defattr
* Fri Nov 29 2002 - mmj@suse.de
- Add missing #include <errno.h>
* Wed Aug 28 2002 - ro@suse.de
- remove hack in start-section of init-script
* Fri Aug 16 2002 - kukuk@suse.de
- Don't send SIGHUP to portmap [Bug #18037]
* Thu Aug 01 2002 - mmj@suse.de
- Add %%fillup_and_insserv PreReq
* Mon Apr 22 2002 - sf@suse.de
- added $LIB to Makefile to find target for libwrap.a on
  archs with lib64
* Mon Feb 11 2002 - ro@suse.de
- default to "yes"
* Fri Jan 04 2002 - kukuk@suse.de
- Fix rcportmap status [Bug #12730]
* Mon Dec 03 2001 - mmj@suse.de
- Kill START_PORTMAP
* Mon Aug 06 2001 - kukuk@suse.de
- Fix comment about init script location [Bug #9494]
* Fri Jul 13 2001 - grimmer@suse.de
- Fixed file list (using wildcards instead of directory names
  that are shared with other packages)
* Tue Jul 03 2001 - kukuk@suse.de
- Fix init script to be more LSB complaint [Bug #9061]
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Tue Nov 28 2000 - kukuk@suse.de
- Move init script to /etc/init.d
* Wed Nov 22 2000 - kukuk@suse.de
- Fix typo in spec file
* Tue Nov 21 2000 - kukuk@suse.de
- Use new init script
* Tue May 09 2000 - schwab@suse.de
- Fix init script
* Tue Apr 18 2000 - kukuk@suse.de
- Fix rcportmap link
* Tue Apr 11 2000 - kukuk@suse.de
- New version, split from nkitb
